Subject: Re: Strange bug with "git log" - pdftotext?

From: Jeremy Morton <[email-masked]>
Date: Mon, 30 Jul 2018 16:51:33 +0100

I discovered it was an issue with the version of Git for Windows I was 
using.  Upgraded to the latest version and it works now.

-- 
Best regards,
Jeremy Morton (Jez)

On 30/07/2018 16:37, Jeff King wrote:
> On Mon, Jul 30, 2018 at 01:49:46PM +0100, Jeremy Morton wrote:
>
>> I'm trying to search my git log history for a particular term -
>> "unobtrusive" - so I run this command:
>>
>> git log -S unobtrusive --oneline
>>
>> When I do this, this is displayed and I'm in an interactive less terminal or
>> something:
>>
>> pdftotext version 4.00
>> [...]
>
> That's definitely weird.
>
> My guess is that the repository has some .gitattributes set up to diff
> pdf files in a particular way, and you have some matching config that
> tries to call pdftotext.
>
> What does:
>
>    git config --list | grep ^diff
>
> say? I'd expect to see an external or textconv option there running
> pdftotext.
>
> Another option is that your pager is somehow set up to call pdftotext,
> but that seems much more nonsensical to use the tool there (but try "git
> var GIT_PAGER" and "git config pager.log" to check).
>
> -Peff
>